Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.webflow.context.servlet
Interface FlowUrlHandler

All Known Implementing Classes:
  DefaultFlowUrlHandler, FilenameFlowUrlHandler, WebFlow1FlowUrlHandler

    public interface FlowUrlHandler

A interface for parsing and generating flow URLs. Encapsulates a specific flow URL format.

Author:
  Keith Donald

Method Summary
`java.lang.String` | `createFlowDefinitionUrl(java.lang.String flowId, AttributeMap input, javax.servlet.http.HttpServletRequest request)` Create a URL that when addressed will launch a new execution of a flow.
`java.lang.String` | `createFlowExecutionUrl(java.lang.String flowId, java.lang.String flowExecutionKey, javax.servlet.http.HttpServletRequest request)` Create a URL that when addressed will resume an existing execution of a flow.
`java.lang.String` | `getFlowExecutionKey(javax.servlet.http.HttpServletRequest request)` Extract the flow execution from the request.
`java.lang.String` | `getFlowId(javax.servlet.http.HttpServletRequest request)` Extract the flow id from the request.

Method Detail

### getFlowExecutionKey

    java.lang.String getFlowExecutionKey(javax.servlet.http.HttpServletRequest request)

  Extract the flow execution from the request.

  Parameters:
    `request` - the request
  Returns:
    the flow execution key, or null if no flow execution key is present

### getFlowId

    java.lang.String getFlowId(javax.servlet.http.HttpServletRequest request)

  Extract the flow id from the request.

  Parameters:
    `request` - the request
  Returns:
    the flow id, or null if no flow id is present

### createFlowDefinitionUrl

    java.lang.String createFlowDefinitionUrl(java.lang.String flowId,
                                             AttributeMap input,
                                             javax.servlet.http.HttpServletRequest request)

  Create a URL that when addressed will launch a new execution of a flow.

  Parameters:
    `flowId` - the id of the flow definition
    `input` - the input to pass the new flow execution
    `request` - the current request
  Returns:
    the flow definition url

### createFlowExecutionUrl

    java.lang.String createFlowExecutionUrl(java.lang.String flowId,
                                            java.lang.String flowExecutionKey,
                                            javax.servlet.http.HttpServletRequest request)

  Create a URL that when addressed will resume an existing execution of a flow.

  Parameters:
    `flowExecutionKey` - the flow execution key that is paused and waiting to be resumed
    `request` - the current request
  Returns:
    the flow execution url

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD